AI Sync

Spam Protected Numbers

Get Spam Protected Number

GEThttps://app.rizzdial.com/api/spam-protected-numbers/{id}
Get Spam Protected Number
curl --request GET \
  --url https://app.rizzdial.com/api/spam-protected-numbers/12 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 12,
    "type": "Custom",
    "status": "Clean",
    "pnumber": "+15551234567",
    "can_edit": true,
    "carriers": [
      {
        "updated_at": "2026-10-15 09:00:00",
        "carrior_name": "tmobile",
        "carrior_status": "Clean"
      }
    ],
    "location": "McKinney, TX"
  },
  "success": true
}

Get Spam Protected Number#

Returns one spam protected number, including carrier checks. id can be the numeric id or its base64 value.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Numeric id or base64 id from List Spam Protected Numbers

curl --request GET \
  --url https://app.rizzdial.com/api/spam-protected-numbers/12 \
  --header 'Authorization: Bearer {{bearer_token}}'
dataobject

The number plus location and carriers (carrior_name, carrior_status, updated_at)